// See https://aka.ms/new-console-template for more information
using Model;

FruitDuDemon nika = new FruitDuDemon("Fruit de l'humain modèle Nika", "Nika Nika No Mi", "Zoan Mythologique", 1, 1, "Le fruit ...", "Forces :", "Faiblesses :");

Personnage luffy = new Personnage("Monkey D. Luffy", "Chapeau de paille", 19,1.74,"East Blue","Monkey D. Luffy est...","Le Roi des Pirates ce sera moi !" );
Personnage zoro = new Personnage("Roronoa Zoro", "Chasseur de pirates", 21, 1.81, "East Blue", "Roronoa Zoro est ...", "Le plus grand des racistes ce sera moi !");
Personnage sanji = new Personnage("Sanji", "La jambe noire", 21, 1.80, "East Blue", "Sanji né Vinsmoke Sanji ..", "As-tu déjà entendu parler de All Blue ?");

Equipage mugi = new Equipage("Équipage au chapeau de paille","Mugiwara No Ichimi","East Blue",1,1,true,luffy);
nika.Utilisateur = new List<Personnage> { luffy };
luffy.Fruit = new List<FruitDuDemon> { nika };
luffy.Equipage= mugi;
zoro.Equipage = mugi;
sanji.Equipage = mugi;

mugi.Membre = new List<Personnage> { luffy, zoro, sanji };

foreach(Personnage p in mugi.Membre)
{
    Console.WriteLine(p.Nom);
    Console.WriteLine(p.Citation);
    Console.WriteLine(p.Epithete);
}
Console.WriteLine(mugi.Capitaine.Nom);